> ## Documentation Index
> Fetch the complete documentation index at: https://kb.talostrading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Security Master Markets

> Returns metadata on all the markets offered (spot, options, futures), sorted alphabetically by market.



## OpenAPI

````yaml /coinmetrics/openapi/coinmetrics.yaml get /security-master/markets
openapi: 3.0.2
info:
  title: Coin Metrics API v4
  description: >-
    [Coin Metrics Homepage](https://coinmetrics.io/)<br/> [API Backward
    Compatibility
    Policy](https://docs.coinmetrics.io/access-our-data/api#backward-compatibility)<br/>
    [Python API
    Client](https://coinmetrics.github.io/api-client-python/site/index.html)<br/><br/>

    HTTP API root endpoint URL is `https://api.coinmetrics.io/v4`. Coin
    Metrics&apos; paid product.<br/> WebSocket API root endpoint is
    `wss://api.coinmetrics.io/v4`. Coin Metrics&apos; paid product.<br/><br/>
    The Community HTTP API root endpoint URL is
    `https://community-api.coinmetrics.io/v4`. API key is not required when
    accessing community endpoints. Available to the community under the
    [Creative Commons](https://creativecommons.org/licenses/by-nc/4.0/) license.

    # Authentication

    <!-- ReDoc-Inject: <security-definitions> -->

    # Response headers

    Note that Coin Metrics API responses have a `CF-RAY` HTTP header e.g.
    `88a6ec1d2f930774-IAD` which can be used for diagnostic purposes. When
    raising Support requests, please ensure to provide the value of this
    header. 
  termsOfService: https://coinmetrics.io/api/terms
  contact:
    name: Coin Metrics Support
    url: https://coinmetrics.io/support/
    email: support@coinmetrics.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 4.0.0
servers:
  - url: https://api.coinmetrics.io/v4
  - url: wss://api.coinmetrics.io/v4
  - url: https://community-api.coinmetrics.io/v4
security: []
tags:
  - name: Rate limits
    description: >-
      To ensure the quality of Coin Metrics services, API is subject to rate
      limiting.<br/> <table> <tr><th>Rate Limit Plan</th><th>REST API: Requests
      per Second (sliding window)</th><th>REST API: Download Speed</th><th>REST
      API: Max Parallel Requests</th><th>WebSocket API: Max Parallel
      Connections</th></tr> <tr><td>Community</td><td>10 requests per 6 seconds
      per IP address</td><td>Reduced speed</td><td>10</td><td>N/A</td></tr>
      <tr><td>Trial</td><td>10 requests per 6 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> <tr><td>Default (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Standard
      speed</td><td>10</td><td>200</td></tr> <tr><td>Download (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> </table> <br/> All PRO keys by
      default get the "default" rate limits. To download historical data at max
      speed, you need to switch to the "download" plan. <br/> <br/> The paid and
      community versions of the API have a limit of 10 parallel REST API
      requests. After this limit is reached, further parallel requests will be
      queued, so performance will be slower.<br/> <br/> If you reach the
      request-per-second limit, API starts to return `429 Too Many Requests`
      HTTP response status.<br/> API also provides `X-RateLimit-*` response
      headers formatted according to
      https://tools.ietf.org/html/draft-polli-ratelimit-headers-03.<br/>
      Additionally, the API provides the `X-RateLimit-Plan` header which
      indicates the current rate limiting plan. This header may have values:
      `default`, `trial`, `download`, or `community`.
    x-cm-gitbook:
      foldIntoInfo: true
  - name: Reference Data
    description: Metadata information of entities supported by Coin Metrics.
    x-cm-gitbook:
      tag: Meta Data
      icon: book
  - name: Catalog
    x-displayName: Catalog (deprecated)
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full
      catalog](#tag/Full-catalog) endpoints for the full list of supported by
      Coin Metrics data. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Catalog v2
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full catalog
      V2](#tag/Full-catalog-v2) endpoints for the full list of supported by Coin
      Metrics data.
    x-cm-gitbook:
      icon: list-check
  - name: Full catalog
    x-displayName: Full catalog (deprecated)
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog) endpoint. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Full catalog v2
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog-v2) endpoint.
    x-cm-gitbook:
      tag: Catalog v2
      icon: layer-group
  - name: Timeseries
    description: >-
      Endpoints for fetching metrics, market data, indexes and other time series
      data.
    x-cm-gitbook:
      icon: chart-line
      renameOperationsTo: Timeseries REST
  - name: Timeseries stream
    description: >-
      WebSocket endpoints for getting a real-time stream of metrics, market
      data, indexes and other time series data.
    x-cm-gitbook:
      tag: Timeseries
      icon: wifi
  - name: Taxonomy
    description: Taxonomy endpoints
    x-cm-gitbook:
      icon: sitemap
  - name: Taxonomy Metadata
    description: Taxonomy Metadata endpoints
    x-cm-gitbook:
      tag: Taxonomy
      icon: tags
  - name: Profile
    description: Profile endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: id-card
  - name: List of blockchain entities v2
    description: Endpoints for fetching lists of blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: list
  - name: Full blockchain entities v2
    description: Endpoints for fetching full blockchain entities.
    x-cm-gitbook:
      tag: List of blockchain entities v2
      icon: database
  - name: Jobs
    description: Jobs API endpoints
    x-cm-gitbook:
      tag: ATLAS
      icon: briefcase
  - name: Blockchain Explorer Job
    description: Endpoints for creating async jobs for blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: clock
  - name: Blockchain Explorer Job Results
    description: Schema definitions of results of Blockchain Explorer Job endpoints.
    x-cm-gitbook:
      foldInto: Blockchain Explorer Job
  - name: Chain Monitor tools
    description: Endpoints for working with chain monitor data.
    x-cm-gitbook:
      tag: ATLAS
      icon: wrench
  - name: Security Master
    description: Security Master endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: shield
  - name: Constituent Snapshots
    description: Endpoints for getting the snapshots of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: camera
  - name: Constituent Timeframes
    description: Endpoints for getting the timeframes of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: calendar
  - name: Blockchain Metadata
    description: Blockchain metadata endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: database
  - name: Meta Data
    x-cm-gitbook:
      icon: database
  - name: ATLAS
    x-cm-gitbook:
      icon: map
  - name: Timeseries REST
    x-cm-gitbook:
      tag: Timeseries
      icon: table
paths:
  /security-master/markets:
    servers:
      - url: https://api.coinmetrics.io/v4
    get:
      tags:
        - Security Master
      summary: Security Master Markets
      description: >-
        Returns metadata on all the markets offered (spot, options, futures),
        sorted alphabetically by market.
      operationId: getSecurityMasterMarkets
      parameters:
        - $ref: '#/components/parameters/SecurityMasterMarketType'
        - $ref: '#/components/parameters/SecurityMasterMarkets'
        - $ref: '#/components/parameters/MarketSymbol'
        - $ref: '#/components/parameters/Exchange'
        - $ref: '#/components/parameters/MarketBase'
        - $ref: '#/components/parameters/MarketQuote'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PagingFromWithStartByDefault'
        - $ref: '#/components/parameters/NextPageToken'
        - $ref: '#/components/parameters/Pretty'
      responses:
        '200':
          $ref: '#/components/responses/SecurityMasterMarkets'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/BlockchainForbidden'
        '414':
          $ref: '#/components/responses/UriTooLong'
      security:
        - api_key: []
      x-codeSamples:
        - lang: Shell
          label: Shell
          source: >
            # Gets a list of spot markets

            curl --compressed
            "https://api.coinmetrics.io/v4/security-master/markets?type=spot&pretty=true&api_key=<your_key>"
        - lang: Python
          label: Python
          source: >
            # Gets a list of spot markets

            import requests

            response =
            requests.get('https://api.coinmetrics.io/v4/security-master/markets?type=spot&pretty=true&api_key=<your_key>').json()

            print(response)
        - lang: Python
          label: Python Client
          source: |
            # Gets a list of spot markets
            from coinmetrics.api_client import CoinMetricsClient
            client = CoinMetricsClient(<your_key>)

            response = client.security_master_markets(type="spot").to_list()
            print(response)
components:
  parameters:
    SecurityMasterMarketType:
      description: Type of markets.
      in: query
      name: type
      required: false
      schema:
        enum:
          - spot
          - future
          - option
        type: string
    SecurityMasterMarkets:
      description: List of markets.
      name: markets
      in: query
      required: false
      schema:
        type: array
        items:
          type: string
      explode: false
    MarketSymbol:
      description: Symbol of derivative markets, full instrument name.
      in: query
      name: symbol
      schema:
        type: string
    Exchange:
      description: Unique name of an exchange.
      in: query
      name: exchange
      schema:
        type: string
    MarketBase:
      description: Base asset of markets.
      in: query
      name: base
      schema:
        type: string
    MarketQuote:
      description: Quote asset of markets.
      in: query
      name: quote
      schema:
        type: string
    PageSize:
      description: >-
        Number of items per single page of results.<br/> The value of this
        parameter is ignored if the endpoint supports the `format` parameter and
        its value is set to `json_stream`.
      in: query
      name: page_size
      schema:
        default: 100
        type: integer
        format: int32
        minimum: 1
        maximum: 10000
    PagingFromWithStartByDefault:
      description: >-
        Where does the first page start, at the start of the interval or at the
        end.<br/> The value of this parameter is ignored if the endpoint
        supports the `format` parameter and its value is set to `json_stream`.
      in: query
      name: paging_from
      schema:
        default: start
        enum:
          - start
          - end
        type: string
        format: PagingFrom
    NextPageToken:
      description: >-
        Token for receiving the results from the next page of a query.<br/>
        Should not be used directly. To iterate through pages just use
        `next_page_url` response field.
      in: query
      name: next_page_token
      schema:
        type: string
    Pretty:
      description: Human-readable formatting of JSON responses.
      in: query
      name: pretty
      schema:
        type: boolean
        default: false
  responses:
    SecurityMasterMarkets:
      description: List of security master entries.
      content:
        application/json:
          example:
            data:
              - market: binance-1000FLOKIUSDT-future
                exchange: binance
                type: future
                code: C7101DFDBB
                pair: floki-usdt
                base: floki
                quote: usdt
                symbol: 1000FLOKIUSDT
                size_asset: floki
                margin_asset: usdt
                contract_size: '1000'
                tick_size: '0.00001'
                listing: '2023-05-06T00:00:00.000000000Z'
                order_amount_increment: '1'
                order_amount_min: '1'
                order_amount_max: '10000000'
                order_price_increment: '0.0000100'
                order_price_min: '0.0000100'
                order_price_max: '200'
                order_size_min: '5.0'
                price_open: '0.02221'
                price_close: '0.02229'
                price_high: '0.0229'
                price_low: '0.02209'
                vwap: '0.02241939522043145'
                volume: '469491373'
                candle_usd_volume: '10527753.918885919'
                candle_trades_count: '58244'
              - market: binance-1000LUNCBUSD-future
                exchange: binance
                type: future
                code: C314D2136A
                pair: luna-busd
                base: luna
                quote: busd
                symbol: 1000LUNCBUSD
                size_asset: luna
                margin_asset: busd
                contract_size: '1000'
                tick_size: '0.00001'
                listing: '2022-05-30T07:00:00.000000000Z'
                order_amount_increment: '1'
                order_amount_min: '1'
                order_amount_max: '10000000'
                order_price_increment: '0.0000100'
                order_price_min: '0.0001000'
                order_price_max: '200'
                order_size_min: '5.0'
                price_open: '0.09374'
                price_close: '0.09329'
                price_high: '0.09499'
                price_low: '0.09151'
                vwap: '0.09285032139768002'
                volume: '121883176'
                candle_usd_volume: '11325203.708357710'
                candle_trades_count: '49781'
            next_page_token: 0.MTUwMjYyMzI
            next_page_url: >-
              https://api.coinmetrics.io/v4/security-master/markets?type=future&api_key=<your_key>&next_page_token=0.MTUwMjYyMzI
          schema:
            $ref: '#/components/schemas/SecurityMasterMarketsResponse'
    Unauthorized:
      description: Requested resource requires authorization.
      content:
        application/json:
          examples:
            unauthorized:
              summary: Unauthorized error response.
              value:
                error:
                  type: unauthorized
                  message: Requested resource requires authorization.
            wrong_credentials:
              summary: Wrong credentials error response.
              value:
                error:
                  type: wrong_credentials
                  message: Supplied credentials are not valid.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    BlockchainForbidden:
      content:
        application/json:
          example:
            error:
              type: forbidden
              message: Requested resource is not available with supplied credentials.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: Requested resource is not available with supplied credentials.
    UriTooLong:
      description: Provided URI is too long. It must not be greater than 10000 symbols.
  schemas:
    SecurityMasterMarketsResponse:
      description: List of markets and their metadata in security master
      properties:
        data:
          $ref: '#/components/schemas/SecurityMasterMarkets'
        next_page_token:
          $ref: '#/components/schemas/NextPageToken'
        next_page_url:
          $ref: '#/components/schemas/NextPageUrl'
      required:
        - data
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
      required:
        - error
      type: object
    SecurityMasterMarkets:
      type: array
      items:
        $ref: '#/components/schemas/SecurityMasterMarketData'
    NextPageToken:
      description: Token of the next page results for a given request.
      type: string
    NextPageUrl:
      description: URL of the next page results for a given request.
      type: string
    ErrorObject:
      properties:
        type:
          description: Error type string. Can be used for error identification.
          type: string
        message:
          description: >-
            Human-friendly error description. Can be amended without prior
            notification. Do not use for error identification in your code.
          type: string
      required:
        - type
        - description
      type: object
    SecurityMasterMarketData:
      type: object
      properties:
        market:
          $ref: '#/components/schemas/MarketId'
        code:
          $ref: '#/components/schemas/SecurityMasterAssetCode'
        pair:
          $ref: '#/components/schemas/Pair'
        trades_min_time:
          description: The minimal available time of trades
          type: string
        trades_max_time:
          description: The maximal available time of trades
          type: string
        orderbooks_min_time:
          description: The minimal available time of market orderbooks
          type: string
        orderbooks_max_time:
          description: The maximal available time of market orderbooks
          type: string
        quotes_min_time:
          description: The minimal available time of market quotes
          type: string
        quotes_max_time:
          description: The maximal available time of market quotes
          type: string
        funding_rates_min_time:
          description: The minimal available time of markets with funding rates support
          type: string
        funding_rates_max_time:
          description: The maximal available time of markets with funding rates support
          type: string
        openinterest_min_time:
          description: The minimal available time of markets with open interests support
          type: string
        openinterest_max_time:
          description: The maximal available time of markets with open interests support
          type: string
        liquidations_min_time:
          description: The minimal available time of markets with liquidations support
          type: string
        liquidations_max_time:
          description: The maximal available time of markets with liquidations support
          type: string
        exchange:
          $ref: '#/components/schemas/Exchange'
        base:
          $ref: '#/components/schemas/AssetIdBase'
        quote:
          $ref: '#/components/schemas/AssetIdQuote'
        symbol:
          $ref: '#/components/schemas/MarketSymbol'
        type:
          $ref: '#/components/schemas/MarketType'
        size_asset:
          $ref: '#/components/schemas/DerivativeContractSizeAsset'
        margin_asset:
          $ref: '#/components/schemas/DerivativeContractMarginAsset'
        strike:
          $ref: '#/components/schemas/OptionStrike'
        option_contract_type:
          $ref: '#/components/schemas/OptionContractType'
        is_european:
          $ref: '#/components/schemas/IsEuropean'
        contract_size:
          $ref: '#/components/schemas/MarketContractSize'
        tick_size:
          $ref: '#/components/schemas/FutureTickSize'
        multiplier_size:
          $ref: '#/components/schemas/FutureMultiplierSize'
        listing:
          $ref: '#/components/schemas/DerivativeContractListing'
        expiration:
          $ref: '#/components/schemas/DerivativeContractExpiration'
        settlement_price:
          $ref: '#/components/schemas/SettlementPrice'
        pool_config_id:
          $ref: '#/components/schemas/DefiPoolConfigId'
        contract_address:
          $ref: '#/components/schemas/DefiContractAddress'
        fee:
          $ref: '#/components/schemas/DefiFee'
        price_includes_fee:
          $ref: '#/components/schemas/DefiPriceIncludesFee'
        variable_fee:
          $ref: '#/components/schemas/DefiVariableFee'
        base_address:
          $ref: '#/components/schemas/DefiBaseAddress'
        quote_address:
          $ref: '#/components/schemas/DefiQuoteAddress'
        status:
          $ref: '#/components/schemas/Status'
        order_amount_increment:
          $ref: '#/components/schemas/OrderAmountIncrement'
        order_amount_min:
          $ref: '#/components/schemas/OrderAmountMin'
        order_amount_max:
          $ref: '#/components/schemas/OrderAmountMax'
        order_price_increment:
          $ref: '#/components/schemas/OrderPriceIncrement'
        order_price_min:
          $ref: '#/components/schemas/OrderPriceMin'
        order_price_max:
          $ref: '#/components/schemas/OrderPriceMax'
        order_size_min:
          $ref: '#/components/schemas/OrderSizeMin'
        order_taker_fee:
          $ref: '#/components/schemas/OrderTakerFee'
        order_maker_fee:
          $ref: '#/components/schemas/OrderMakerFee'
        margin_trading_enabled:
          $ref: '#/components/schemas/MarginTradingEnabled'
        experimental:
          $ref: '#/components/schemas/ExperimentalMarket'
        price_open:
          $ref: '#/components/schemas/CandlePriceOpen'
        price_close:
          $ref: '#/components/schemas/CandlePriceClose'
        price_high:
          $ref: '#/components/schemas/CandlePriceHigh'
        price_low:
          $ref: '#/components/schemas/CandlePriceLow'
        vwap:
          $ref: '#/components/schemas/CandleVwap'
        volume:
          $ref: '#/components/schemas/CandleVolume'
        candle_usd_volume:
          $ref: '#/components/schemas/CandleUsdVolume'
        candle_trades_count:
          $ref: '#/components/schemas/CandleTradesCount'
        base_native:
          $ref: '#/components/schemas/AssetIdBaseNative'
        quote_native:
          $ref: '#/components/schemas/AssetIdQuoteNative'
      required:
        - market
        - type
        - exchange
    MarketId:
      description: Unique name of the market.
      type: string
    SecurityMasterAssetCode:
      description: Ten-digit alphanumeric asset identifying code
      type: string
      example: C758EA35B0
    Pair:
      description: Pair string representation as `<base>-<quote>`.
      type: string
    Exchange:
      description: Name of the exchange.
      type: string
    AssetIdBase:
      description: Unique name of the base asset.
      type: string
    AssetIdQuote:
      description: Unique name of the quote asset.
      type: string
    MarketSymbol:
      description: Unique name of the derivative market symbol.
      type: string
    MarketType:
      description: Type of the market (spot, future).
      type: string
    DerivativeContractSizeAsset:
      description: Name of the derivative contract size asset.
      type: string
    DerivativeContractMarginAsset:
      description: Name of the derivative margin asset.
      type: string
    OptionStrike:
      description: Strike price for option trade.
      type: string
      format: decimal
    OptionContractType:
      description: '''call or ''put'' option contract type.'
      type: string
    IsEuropean:
      description: shows if the options contract is european or not.
      type: boolean
    MarketContractSize:
      description: Market contract size.
      type: string
      format: decimal
    FutureTickSize:
      description: Futures tick size.
      type: string
      format: decimal
    FutureMultiplierSize:
      description: Futures multiplier size.
      type: string
      format: decimal
    DerivativeContractListing:
      description: Derivative contract listing date.
      type: string
      format: date-time
    DerivativeContractExpiration:
      description: Derivative contract expiration date.
      type: string
      format: date-time
    SettlementPrice:
      description: Price of underlying asset at contract expiration.
      type: string
      format: decimal
    DefiPoolConfigId:
      description: DeFi pooling config ID.
      type: string
    DefiContractAddress:
      description: DeFi contract address.
      type: string
    DefiFee:
      description: DeFi fee (in percents).
      type: string
      format: decimal
    DefiPriceIncludesFee:
      description: >-
        Whether the reported price for a trade is inclusive (true) or exclusive
        (false) of fee.
      type: boolean
    DefiVariableFee:
      description: Whether the market has a variable (true) or fixed (false) fee structure.
      type: boolean
    DefiBaseAddress:
      description: DeFi base address.
      type: string
    DefiQuoteAddress:
      description: DeFi quote address.
      type: string
    Status:
      description: Market status (online/offline).
      type: string
    OrderAmountIncrement:
      description: Volume precision.
      type: string
      format: decimal
    OrderAmountMin:
      description: Minimum amount size.
      type: string
      format: decimal
    OrderAmountMax:
      description: Maximum amount size.
      type: string
      format: decimal
    OrderPriceIncrement:
      description: Price precision.
      type: string
      format: decimal
    OrderPriceMin:
      description: Minimum price.
      type: string
      format: decimal
    OrderPriceMax:
      description: Maximum price.
      type: string
      format: decimal
    OrderSizeMin:
      description: Minimum order size, where order size is amount * price.
      type: string
      format: decimal
    OrderTakerFee:
      type: string
      format: decimal
    OrderMakerFee:
      type: string
      format: decimal
    MarginTradingEnabled:
      type: boolean
    ExperimentalMarket:
      description: >-
        If set to true, indicates that market collection is under active
        development - there is a chance of temporary discrepancies in the served
        dataset.
      type: boolean
    CandlePriceOpen:
      description: The opening price of the candle.
      type: string
      format: decimal
    CandlePriceClose:
      description: The closing price of the candle.
      type: string
      format: decimal
    CandlePriceHigh:
      description: The high price of the candle.
      type: string
      format: decimal
    CandlePriceLow:
      description: The low price of the candle.
      type: string
      format: decimal
    CandleVwap:
      description: The volume-weighted average price of the candle.
      type: string
      format: decimal
    CandleVolume:
      description: The volume of the candle in units of the base asset.
      type: string
      format: decimal
    CandleUsdVolume:
      description: >-
        The volume of the candle in USD. The value is rounded to at most 9
        decimal places (half-even rounding).
      type: string
      format: decimal
    CandleTradesCount:
      description: The number of trades used for candle calculation.
      type: string
      format: int64
    AssetIdBaseNative:
      description: Exchange name of the base asset.
      type: string
    AssetIdQuoteNative:
      description: Exchange name of the quote asset.
      type: string
  securitySchemes:
    api_key:
      description: Coin Metrics API key can be specified as `?api_key=` query parameter.
      in: query
      name: api_key
      type: apiKey

````